function actualizar_vehiculos()
{	
	var parametros = {
	};

	$.ajax(
	{
		data:parametros,
		url:   'actualiza_vehiculos.php',
		type:  'post',
		beforeSend: function () 
		{
			$("#tablaContenido").html("Procesando, espere por favor...");
		},
		success:  function (response) 
		{
			$("#tablaContenido").html(response);
			$("#vehiculo_table").DataTable({
				language: {
			        "decimal": "",
			        "emptyTable": "No hay información",
			        "info": "Mostrando _START_ a _END_ de _TOTAL_ Vehículos",
			        "infoEmpty": "Mostrando 0 a 0 de 0 Vehículos",
			        "infoFiltered": "(Filtrado de _MAX_ vehículos totales)",
			        "infoPostFix": "",
			        "thousands": ",",
			        "lengthMenu": "Mostrar _MENU_ Vehículos",
			        "loadingRecords": "Cargando...",
			        "processing": "Procesando...",
			        "search": "Buscar:",
			        "zeroRecords": "Sin resultados encontrados",
			        "paginate": {
			            "first": "Primero",
			            "last": "Ultimo",
			            "next": "Siguiente",
			            "previous": "Anterior"
			        }
			}});	
		}
	});
}


function operacion_vehiculo(operacion,id_vehiculo)
{

	var parametros = 
	{
		"operacion":operacion,
		"id_vehiculo":id_vehiculo
	}

	$.ajax(
	{
		data:parametros,
		url:   'serializar_vehiculo.php',
		type:  'post',
		beforeSend: function () 
		{
			$("#contenedorOperacion").html("Procesando, espere por favor...");
		},
		success:  function (response) 
		{
			$("#contenedorOperacion").html(response);
			$("#contenedorOperacion").show();		
			$("#contenidoPrincipal").hide();

		}
	});

}

function regresar()
{
	$("#contenedorOperacion").hide();		
	$("#contenidoPrincipal").show();
}


function habilita_carga_dia()
{
	if($("#cbxCargaDia").prop("checked"))
	{
		$("#txtCargaDiaMaximo").prop("disabled",false);
	}
	else
	{
		$("#txtCargaDiaMaximo").prop("disabled",true);
	}
}

function habilita_volumen_dia()
{
	if($("#cbxVolumenDia").prop("checked"))
	{
		$("#txtVolumenDiaMaximo").prop("disabled",false);
	}
	else
	{
		$("#txtVolumenDiaMaximo").prop("disabled",true);
	}
}

function deshabilita_monto_dia()
{
	if($("#cbxVolumenDia").prop("checked"))
	{
		$("#cbxMontoDia").prop("disabled",true);
		$("#cbxMontoDia").prop("checked",false);
	}
	else
	{
		$("#cbxMontoDia").prop("disabled",false);
	}
}

function habilita_odometro_diferencia()
{
	if($("#cbxOdometroControlMaximo").prop("checked"))
	{
		$("#txtDiferenciaOdoMaximo").prop("disabled",false);
	}
	else
	{
		$("#txtDiferenciaOdoMaximo").prop("disabled",true);
	}

}

function habilita_monto_dia()
{
	if($("#cbxMontoDia").prop("checked"))
	{
		$("#txtMontoDiaMaximo").prop("disabled",false);
	}
	else
	{
		$("#txtMontoDiaMaximo").prop("disabled",true);
	}

}

function deshabilita_volumen_dia()
{
	if($("#cbxMontoDia").prop("checked"))
	{
		$("#cbxVolumenDia").prop("disabled",true);
		$("#cbxVolumenDia").prop("checked",false);
	}
	else
	{
		$("#cbxVolumenDia").prop("disabled",false);
	}
}

function habilita_periodo()
{
	var periodo = $("#cmbPeriodo").val();

	if(periodo==0)
	{
		$("#cmbDiasPeriodo").val("0");
		$("#cmbDiasPeriodo").hide();
		$("#cbxVolumenPeriodo").prop("checked",false);
		$("#cbxMontoPeriodo").prop("checked",false);
		$("#cbxVolumenPeriodo").prop("disabled",true);
		$("#cbxMontoPeriodo").prop("disabled",true);
		$("#txtVolumenPeriodoMaximo").val("");
		$("#txtMontoPeriodoMaximo").val("");

		$("#txtVolumenPeriodoMaximo").prop("disabled",true);
		$("#txtMontoPeriodoMaximo").prop("disabled",true);

	}

	if(periodo==1 || periodo==2)
	{
		$("#cmbDiasPeriodo").val("0");
		$("#cmbDiasPeriodo").hide();
		$("#cbxVolumenPeriodo").prop("disabled",false);
		$("#cbxMontoPeriodo").prop("disabled",false);
		$("#txtVolumenPeriodoMaximo").val("");
		$("#txtMontoPeriodoMaximo").val("");
	}

	if(periodo==3)
	{
		$("#cmbDiasPeriodo").val("0");
		$("#cmbDiasPeriodo").show();
		$("#cbxVolumenPeriodo").prop("disabled",false);
		$("#cbxMontoPeriodo").prop("disabled",false);
		$("#txtVolumenPeriodoMaximo").val("");
		$("#txtMontoPeriodoMaximo").val("");

	}
}

function habilita_volumen_periodo()
{
	if($("#cbxVolumenPeriodo").prop("checked"))
	{
		$("#txtVolumenPeriodoMaximo").prop("disabled",false);
	}
	else
	{
		$("#txtVolumenPeriodoMaximo").prop("disabled",true);
	}
}

function habilita_monto_periodo()
{
	if($("#cbxMontoPeriodo").prop("checked"))
	{
		$("#txtMontoPeriodoMaximo").prop("disabled",false);
	}
	else
	{
		$("#txtMontoPeriodoMaximo").prop("disabled",true);
	}
}

function deshabilita_volumen_periodo()
{
	if($("#cbxMontoPeriodo").prop("checked"))
	{
		$("#cbxVolumenPeriodo").prop("disabled",true);
		$("#cbxVolumenPeriodo").prop("checked",false);

	}
	else
	{
		$("#cbxVolumenPeriodo").prop("disabled",false);
	}
}

function deshabilita_monto_periodo()
{
	if($("#cbxVolumenPeriodo").prop("checked"))
	{
		$("#cbxMontoPeriodo").prop("disabled",true);
		$("#cbxMontoPeriodo").prop("checked",false);
	}
	else
	{
		$("#cbxMontoPeriodo").prop("disabled",false);
	}
}

function dia_semana()
{
	$("#cbxDomingo").prop("checked",false);
	$("#cbxLunes").prop("checked",false);
	$("#cbxMartes").prop("checked",false);
	$("#cbxMiercoles").prop("checked",false);
	$("#cbxJueves").prop("checked",false);
	$("#cbxViernes").prop("checked",false);
	$("#cbxSabado").prop("checked",false);

	if($("#cbxDiaSemana").prop("checked"))
	{
		$("#cbxDomingo").prop("disabled",false);
		$("#cbxLunes").prop("disabled",false);
		$("#cbxMartes").prop("disabled",false);
		$("#cbxMiercoles").prop("disabled",false);
		$("#cbxJueves").prop("disabled",false);
		$("#cbxViernes").prop("disabled",false);
		$("#cbxSabado").prop("disabled",false);
	}
	else
	{
		$("#cbxDomingo").prop("disabled",true);
		$("#cbxLunes").prop("disabled",true);
		$("#cbxMartes").prop("disabled",true);
		$("#cbxMiercoles").prop("disabled",true);
		$("#cbxJueves").prop("disabled",true);
		$("#cbxViernes").prop("disabled",true);
		$("#cbxSabado").prop("disabled",true);
	}
}

function producto_control()
{
	$("#cbxMagna").prop("checked",false);
	$("#cbxPremium").prop("checked",false);
	$("#cbxDiesel").prop("checked",false);

	if($("#cbxProducto").prop("checked"))
	{
		$("#cbxMagna").prop("disabled",false);
		$("#cbxPremium").prop("disabled",false);
		$("#cbxDiesel").prop("disabled",false);
	}
	else
	{
		$("#cbxMagna").prop("disabled",true);
		$("#cbxPremium").prop("disabled",true);
		$("#cbxDiesel").prop("disabled",true);
	}
}

function control_fijo()
{
	if($("#cbxFijo").prop("checked"))
	{
		$("#txtMontoFijo").prop("disabled",false);
		$("#txtVolumenFijo").prop("disabled",false);
	}
	else
	{
		$("#txtMontoFijo").prop("disabled",true);
		$("#txtVolumenFijo").prop("disabled",true);
	}
}


function actualizar_vehiculo(id_vehiculo)
{
	var departamento = $("#txtDepartamento").val();
	var descripcion = $("#txtDescripcion").val();
	var modelo = $("#txtModelo").val();
	var placa = $("#txtPlaca").val();
	var marca = $("#txtMarca").val();
	var tag = $("#txtTag").val();
	var nip = $("#txtNip").val();
	var conductor = $("#txtConductor").val();
	var numero_economico = $("#txtNumEconomico").val();
	var capacidad_tanque = $("#txtCapacidadTanque").val();

	var muestra_saldo=0;
	var habilitado=0;

	var carga_dia_control =0;
	var volumen_dia_control =0;
	var odometro_dia_control =0;
	var monto_dia_control =0;

	var carga_dia_maximo =0;
	var odometro_maximo=0;
	var volumen_dia_maximo=0;
	var monto_dia_maximo=0;

	var periodo_tiempo = $("#cmbPeriodo").val();
	var periodo_dias = $("#cmbDiasPeriodo").val();

	var volumen_periodo_control = 0;
	var monto_periodo_control = 0;

	var volumen_periodo_maximo=0;
	var monto_periodo_maximo=0;

	var semana_control =0;
	var dias_semana = "0000000";

	var producto_control =0;
	var producto_id="000";

	var volumen_monto_fijo_control=0;
	var monto_fijo=0;
	var volumen_fijo=0;

	var nip_control=0;
	var referencia_control=0;
	var odometro_control=0;

	var periferico_control =0;

	if(tag=="")
	{
		swal.fire({
			icon: 'warning',
			title: 'Ingrese un TAG.'
		})
		return;
	}

	if(nip=="")
	{
		swal.fire({
			icon: 'warning',
			title: 'Ingrese un NIP.'
		})
		return;
	}

	if($("#cbxMuestraSaldo").prop("checked"))
	{
		muestra_saldo=1;
	}

	if($("#cbxHabilitado").prop("checked"))
	{
		habilitado=1;
	}

	if($("#cbxCargaDia").prop("checked"))
	{
		carga_dia_control =1;

		carga_dia_maximo = $("#txtCargaDiaMaximo").val();

		carga_dia_maximo = carga_dia_maximo.split(",").join("");

		if(carga_dia_maximo=="" || carga_dia_maximo=="0.00" )
		{
			swal.fire({
				icon: 'warning',
				title: 'Ingrese un valor de carga al día.'
			})
			return;
		}
	}
	
	if($("#cbxOdometroControlMaximo").prop("checked"))
	{
		odometro_dia_control =1;

		odometro_maximo = $("#txtDiferenciaOdoMaximo").val();

		if(odometro_maximo=="" || odometro_maximo=="0" )
		{
			swal.fire({
				icon: 'warning',
				title: 'Ingrese un valor en la diferencia máxima del odómetro.'
			})
			return;
		}
	}

	if($("#cbxVolumenDia").prop("checked"))
	{
		volumen_dia_control =1;

		volumen_dia_maximo = $("#txtVolumenDiaMaximo").val();

		volumen_dia_maximo = volumen_dia_maximo.split(",").join("");

		if(volumen_dia_maximo=="" || volumen_dia_maximo=="0.00" )
		{
			swal.fire({
				icon: 'warning',
				title: 'Ingrese un valor en el volumen máximo al día.'
			})
			return;
		}
	}

	if($("#cbxMontoDia").prop("checked"))
	{
		monto_dia_control =1;

		monto_dia_maximo = $("#txtMontoDiaMaximo").val();

		monto_dia_maximo = monto_dia_maximo.split(",").join("");

		if(monto_dia_maximo=="" || monto_dia_maximo=="0.00" )
		{
			swal.fire({
				icon: 'warning',
				title: 'Ingrese un valor en el monto máximo al dia.'
			})
			return;
		}
	}

	if(periodo_tiempo!=0)
	{
		if($("#cbxVolumenPeriodo").prop("checked"))
		{
			volumen_periodo_control=1;

			volumen_periodo_maximo = $("#txtVolumenPeriodoMaximo").val();

			volumen_periodo_maximo = volumen_periodo_maximo.split(",").join("");

			if(volumen_periodo_maximo==""||volumen_periodo_maximo=="0")
			{
				swal.fire({
					icon: 'warning',
					title: 'Ingrese un valor para el volumen periodo maximo.'
				})
				return;
			}
		}

		if($("#cbxMontoPeriodo").prop("checked"))
		{
			monto_periodo_control=1;

			monto_periodo_maximo = $("#txtMontoPeriodoMaximo").val();

			monto_periodo_maximo = monto_periodo_maximo.split(",").join("");

			if(monto_periodo_maximo==""||monto_periodo_maximo=="0")
			{
				swal.fire({
					icon: 'warning',
					title: 'Ingrese un valor para el monto periodo máximo.'
				})
				return;
			}
		}

		if(monto_periodo_control==0 && volumen_periodo_control==0)
		{
			swal.fire({
				icon: 'warning',
				title: 'Seleccione un control de periodo.'
			})
			return;
		}

		if(periodo_tiempo==3)
		{
			periodo_dias = $("#cmbDiasPeriodo").val();

			if(periodo_dias==0)
			{
				swal.fire({
					icon: 'warning',
					title: 'Seleccione la cantidad de días.'
				})
				return;
			}
		}
	}

	if($("#cbxDiaSemana").prop("checked"))
	{
		semana_control= 1;

		dias_semana = "";

		if($("#cbxDomingo").prop("checked"))
		{
			dias_semana+="1";
		}
		else
		{
			dias_semana+="0";
		}
		if($("#cbxLunes").prop("checked"))
		{
			dias_semana+="1";
		}
		else
		{
			dias_semana+="0";
		}
		if($("#cbxMartes").prop("checked"))
		{
			dias_semana+="1";
		}
		else
		{
			dias_semana+="0";
		}
		if($("#cbxMiercoles").prop("checked"))
		{
			dias_semana+="1";
		}
		else
		{
			dias_semana+="0";
		}
		if($("#cbxJueves").prop("checked"))
		{
			dias_semana+="1";
		}
		else
		{
			dias_semana+="0";
		}
		if($("#cbxViernes").prop("checked"))
		{
			dias_semana+="1";
		}
		else
		{
			dias_semana+="0";
		}
		if($("#cbxSabado").prop("checked"))
		{
			dias_semana+="1";
		}
		else
		{
			dias_semana+="0";
		}

	}

	if($("#cbxProducto").prop("checked"))
	{
		producto_control=1;

		producto_id="";

		if($("#cbxMagna").prop("checked"))
		{
			producto_id+="1";
		}
		else
		{
			producto_id+="0";
		}
		if($("#cbxPremium").prop("checked"))
		{
			producto_id+="1";
		}
		else
		{
			producto_id+="0";
		}
		if($("#cbxDiesel").prop("checked"))
		{
			producto_id+="1";
		}
		else
		{
			producto_id+="0";
		}
	}

	if($("#cbxPeriferico").prop("checked"))
	{
		periferico_control=1;	
	}

	if($("#cbxFijo").prop("checked"))
	{
		volumen_monto_fijo_control=1;
		monto_fijo=$("#txtMontoFijo").val();
		volumen_fijo=$("#txtVolumenFijo").val();

		if((monto_fijo==""||monto_fijo=="0.00"||monto_fijo=="0")&&(volumen_fijo==""||volumen_fijo=="0.00"||volumen_fijo=="0")){
			swal.fire({
					icon: 'warning',
					title: 'Ingrese volumen fijo o monto fijo.'
				})
				return;
		}	

		monto_fijo = monto_fijo.split(",").join("");
		volumen_fijo = volumen_fijo.split(",").join("");
	}

	if($("#cbxNip").prop("checked"))
		nip_control=1;
	if($("#cbxReferencia").prop("checked"))
		referencia_control=1;
	if($("#cbxOdometro").prop("checked"))
		odometro_control=1;

	if(monto_fijo=="")
		monto_fijo = "0";
	if(volumen_fijo=="")
		volumen_fijo = "0";

	var parametros={
		"id_vehiculo":id_vehiculo,
		"departamento":departamento,
		"descripcion":descripcion,
		"modelo":modelo,
		"placa":placa,
		"marca":marca,
		"tag":tag,
		"nip":nip,
		"conductor":conductor,
		"numero_economico":numero_economico,
		"muestra_saldo":muestra_saldo,
		"habilitado":habilitado,
		"carga_dia_control":carga_dia_control,
		"volumen_dia_control":volumen_dia_control,
		"odometro_dia_control":odometro_dia_control,
		"monto_dia_control":monto_dia_control,
		"dias_semana":dias_semana,
		"carga_dia_maximo":carga_dia_maximo,
		"odometro_maximo":odometro_maximo,
		"volumen_dia_maximo":volumen_dia_maximo,
		"monto_dia_maximo":monto_dia_maximo,
		"periodo_tiempo":periodo_tiempo,
		"periodo_dias":periodo_dias,
		"volumen_periodo_control":volumen_periodo_control,
		"monto_periodo_control":monto_periodo_control,
		"volumen_periodo_maximo":volumen_periodo_maximo,
		"monto_periodo_maximo":monto_periodo_maximo,
		"semana_control":semana_control,
		"dias_semana":dias_semana,

		"producto_control":producto_control,
		"producto_id":producto_id,
		"volumen_monto_fijo_control":volumen_monto_fijo_control,
		"monto_fijo":monto_fijo,
		"volumen_fijo":volumen_fijo,
		"nip_control":nip_control,
		"referencia_control":referencia_control,
		"odometro_control":odometro_control,
		"capacidad_tanque":capacidad_tanque,
		"periferico_control":periferico_control
	};

	if(id_vehiculo==0)
	{
		liga= "insertar_vehiculo.php";
	}
	else
	{
		liga= "editar_vehiculo.php";
	}

	$.ajax({
		data:  parametros,
		url:   liga,
		type:  'post',
		beforeSend: function () {	
		},
		success:  function (response) {                       
			swal.fire({
				icon: 'success',
				title: response
			}) 
			actualizar_vehiculos();
			$("#contenedorOperacion").hide();		
			$("#contenidoPrincipal").show();
		}
	});
}

function valida_montos_vehiculos(elemento)
{
	var valor = elemento.value;

	valor = valor.split(",").join("");

	if(!valida_monto(valor))
	{
		swal.fire({
			icon: 'error',
			title: 'El monto ingresado no es válido.'
		})
		elemento.value="0.00";
		return;
	}

	elemento.value = formatoNumero(valor,2,'.',',');

}

function fijo()
{
	$("#txtVolumenFijo").val("");	
}

function fijo2()
{
	$("#txtMontoFijo").val("");	
	
}


function comprueba_dia_semana() {
	if( $("#cbxDomingo").prop("checked")==true &&
		$("#cbxLunes").prop("checked")==true &&
		$("#cbxMartes").prop("checked")==true &&
		$("#cbxMiercoles").prop("checked")==true &&
		$("#cbxJueves").prop("checked")==true &&
		$("#cbxViernes").prop("checked")==true &&
		$("#cbxSabado").prop("checked")==true 
		)
	{	
		$("#cbxDomingo").prop("checked",false);
		$("#cbxLunes").prop("checked",false);
		$("#cbxMartes").prop("checked",false);
		$("#cbxMiercoles").prop("checked",false);
		$("#cbxJueves").prop("checked",false);
		$("#cbxViernes").prop("checked",false);
		$("#cbxSabado").prop("checked",false);

		$("#cbxDiaSemana").prop("checked",false);

		$("#cbxDomingo").prop("disabled",true);
		$("#cbxLunes").prop("disabled",true);
		$("#cbxMartes").prop("disabled",true);
		$("#cbxMiercoles").prop("disabled",true);
		$("#cbxJueves").prop("disabled",true);
		$("#cbxViernes").prop("disabled",true);
		$("#cbxSabado").prop("disabled",true);	

		swal.fire({
				icon: 'warning',
				title: 'Se dejará como default para poder cargar diario.',
			})
			return;
	   		
	}
}

function comprueba_producto() {
	if( $("#cbxMagna").prop("checked")==true &&
		$("#cbxPremium").prop("checked")==true &&
		$("#cbxDiesel").prop("checked")==true 		
		)
	{	
		$("#cbxMagna").prop("checked",false);
		$("#cbxPremium").prop("checked",false);
		$("#cbxDiesel").prop("checked",false);		

		$("#cbxProducto").prop("checked",false);

		$("#cbxMagna").prop("disabled",true);
		$("#cbxPremium").prop("disabled",true);
		$("#cbxDiesel").prop("disabled",true);	

		swal.fire({
				icon: 'warning',
				title: 'Se dejará como default para poder cargar cualquier producto.',
			})
			return;
	   		
	}
}

function actualiza_diferencia_monto(){
		var monto_max = $("#txtMontoDiaMaximo").val();
		monto_max=monto_max.replace(",", "");
		var monto_cuenta = $("#txtMontoCuenta").val();

		var diff= parseFloat(monto_max)-parseFloat(monto_cuenta);
		$("#txtDiferenciaMontoDia").val(diff);
}

function actualiza_diferencia_volumen(){
		var volumen_max = $("#txtVolumenDiaMaximo").val();
		volumen_max=volumen_max.replace(",", "");
		var volumen_cuenta = $("#txtVolumenDiaCuenta").val();

		var diff= parseFloat(volumen_max)-parseFloat(volumen_cuenta);
		$("#txtDiferenciaVolDia").val(diff);
}

function actualiza_diferencia_monto_periodo(){
		var monto_max = $("#txtMontoPeriodoMaximo").val();
		monto_max=monto_max.replace(",", "");
		var monto_cuenta = $("#txtMontoPeriodoCuenta").val();

		var diff= parseFloat(monto_max)-parseFloat(monto_cuenta);
		$("#txtDiferenciaMontoPeriodo").val(diff);
}

function actualiza_diferencia_volumen_periodo(){
		var volumen_max = $("#txtVolumenPeriodoMaximo").val();
		volumen_max=volumen_max.replace(",", "");
		var volumen_cuenta = $("#txtVolumenPeriodoCuenta").val();

		var diff= parseFloat(volumen_max)-parseFloat(volumen_cuenta);
		$("#txtDiferenciaVolumenPeriodo").val(diff);
}